package main

import (
	"github.com/gdamore/tcell/v2"
)

func drawSnake(screen tcell.Screen, style tcell.Style, x int, y int) {
	screen.SetContent(x, y, '🐍', nil, style)
}

func snakeDirection(press int, snakex *int, snakey *int) {
	if press == Left {
		*snakex--
	} else if press == Right {
		*snakex++
	} else if press == Up {
		*snakey--
	} else if press == Down {
		*snakey++
	}
}
